xinetd: Import from oldpackages, add myself as maintainer 83/head
authorJonathan McCrohan <jmccrohan@gmail.com>
Tue, 8 Jul 2014 23:32:45 +0000 (00:32 +0100)
committerJonathan McCrohan <jmccrohan@gmail.com>
Tue, 8 Jul 2014 23:32:45 +0000 (00:32 +0100)
Signed-off-by: Jonathan McCrohan <jmccrohan@gmail.com>
net/xinetd/Makefile [new file with mode: 0644]
net/xinetd/files/xinetd.conf [new file with mode: 0644]
net/xinetd/files/xinetd.init [new file with mode: 0644]
net/xinetd/patches/001-ar.patch [new file with mode: 0644]
net/xinetd/patches/002-destdir.patch [new file with mode: 0644]
net/xinetd/patches/003-rpc_fix.patch [new file with mode: 0644]

diff --git a/net/xinetd/Makefile b/net/xinetd/Makefile
new file mode 100644 (file)
index 0000000..9d72519
--- /dev/null
@@ -0,0 +1,63 @@
+#
+# Copyright (C) 2006-2014 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=xinetd
+PKG_VERSION:=2.3.15
+PKG_RELEASE:=2
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://www.xinetd.org
+PKG_MD5SUM:=77358478fd58efa6366accae99b8b04c
+
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/xinetd
+  SECTION:=net
+  CATEGORY:=Network
+  TITLE:=A powerful and secure super-server
+  URL:=http://www.xinetd.org/
+  MAINTAINER:=Jonathan McCrohan <jmccrohan@gmail.com>
+endef
+
+define Package/xinetd/description
+       xinetd has access control mechanisms, extensive logging capabilities,
+       the ability to make services available based on time, can place limits
+       on the number of servers that can be started, and has deployable
+       defence mechanisms to protect against port scanners, among other
+       things.
+endef
+
+define Package/xinetd/conffiles
+/etc/xinetd.conf
+endef
+
+TARGET_CFLAGS += -DNO_RPC
+
+CONFIGURE_ARGS += \
+       --without-libwrap \
+       --with-loadavg
+
+CONFIGURE_VARS += \
+       ac_cv_header_rpc_pmap_clnt_h=no \
+       ac_cv_header_rpc_rpc_h=no \
+       ac_cv_header_rpc_rpcent_h=no
+
+define Package/xinetd/install
+       $(INSTALL_DIR) $(1)/usr/sbin
+       $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/xinetd $(1)/usr/sbin/
+       $(INSTALL_DIR) $(1)/etc
+       $(INSTALL_DATA) ./files/xinetd.conf $(1)/etc/xinetd.conf
+       $(INSTALL_DIR) $(1)/etc/xinetd.d
+       $(INSTALL_DIR) $(1)/etc/init.d
+       $(INSTALL_BIN) ./files/xinetd.init $(1)/etc/init.d/xinetd
+endef
+
+$(eval $(call BuildPackage,xinetd))
diff --git a/net/xinetd/files/xinetd.conf b/net/xinetd/files/xinetd.conf
new file mode 100644 (file)
index 0000000..bd473ed
--- /dev/null
@@ -0,0 +1,6 @@
+defaults
+{
+
+}
+
+includedir /etc/xinetd.d
diff --git a/net/xinetd/files/xinetd.init b/net/xinetd/files/xinetd.init
new file mode 100644 (file)
index 0000000..1437f58
--- /dev/null
@@ -0,0 +1,15 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006-2011 OpenWrt.org
+
+START=50
+
+SERVICE_USE_PID=1
+
+start() {
+       service_start /usr/sbin/xinetd -pidfile /var/run/xinetd.pid
+}
+
+stop() {
+       service_stop /usr/sbin/xinetd
+}
+
diff --git a/net/xinetd/patches/001-ar.patch b/net/xinetd/patches/001-ar.patch
new file mode 100644 (file)
index 0000000..4d961ba
--- /dev/null
@@ -0,0 +1,66 @@
+--- a/libs/src/misc/Makefile.in
++++ b/libs/src/misc/Makefile.in
+@@ -62,7 +62,7 @@ libopt: clean
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ install: $(LIBNAME)
+--- a/libs/src/portable/Makefile.in
++++ b/libs/src/portable/Makefile.in
+@@ -57,7 +57,7 @@ libopt: clean
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ install: $(LIBNAME)
+--- a/libs/src/pset/Makefile.in
++++ b/libs/src/pset/Makefile.in
+@@ -53,7 +53,7 @@ libopt: clean
+       mv $(LIBNAME) $(LIBDIR)/optimized
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ install: $(LIBNAME)
+--- a/libs/src/sio/Makefile.in
++++ b/libs/src/sio/Makefile.in
+@@ -52,7 +52,7 @@ libopt: clean
+       $(INSTALL) $(FMODE) $(LIBNAME) $(LIBDIR)/optimized
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ install: $(LIBNAME)
+--- a/libs/src/str/Makefile.in
++++ b/libs/src/str/Makefile.in
+@@ -63,7 +63,7 @@ libopt: clean
+       $(INSTALL) $(FMODE) $(LIBNAME) $(LIBDIR)-O
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ LINT_IGNORE=possible pointer alignment|RCSid unused
+--- a/libs/src/xlog/Makefile.in
++++ b/libs/src/xlog/Makefile.in
+@@ -58,7 +58,7 @@ libopt: clean
+       $(INSTALL) $(FMODE) $(LIBNAME) $(LIBDIR)/optimized
+ $(LIBNAME): $(OBJECTS)
+-      ar r $@ $?
++      $(AR) r $@ $?
+       $(RANLIB) $@
+ install: $(LIBNAME)
diff --git a/net/xinetd/patches/002-destdir.patch b/net/xinetd/patches/002-destdir.patch
new file mode 100644 (file)
index 0000000..89075c8
--- /dev/null
@@ -0,0 +1,27 @@
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -75,15 +75,15 @@ dlibxlog: dlibsio dlibstr
+ install: build
+       for i in $(DAEMONDIR) $(BINDIR) $(MANDIR)/man5 $(MANDIR)/man8 ; do \
+-         test -d $$i || mkdir -p $$i ; done
+-      $(INSTALL_CMD) -m 755 xinetd/xinetd $(DAEMONDIR)
+-      $(INSTALL_CMD) -m 755 xinetd/itox $(DAEMONDIR)
+-      $(INSTALL_CMD) -m 755 $(SRCDIR)/xinetd/xconv.pl $(DAEMONDIR)
+-      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.conf.man $(MANDIR)/man5/xinetd.conf.5
+-      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.log.man $(MANDIR)/man8/xinetd.log.8
+-      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.man $(MANDIR)/man8/xinetd.8
+-      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/itox.8 $(MANDIR)/man8/itox.8
+-      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xconv.pl.8 $(MANDIR)/man8/xconv.pl.8
++         test -d $(DESTDIR)$$i || mkdir -p $(DESTDIR)$$i ; done
++      $(INSTALL_CMD) -m 755 xinetd/xinetd $(DESTDIR)$(DAEMONDIR)
++      $(INSTALL_CMD) -m 755 xinetd/itox $(DESTDIR)$(DAEMONDIR)
++      $(INSTALL_CMD) -m 755 $(SRCDIR)/xinetd/xconv.pl $(DESTDIR)$(DAEMONDIR)
++      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.conf.man $(DESTDIR)$(MANDIR)/man5/xinetd.conf.5
++      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.log.man $(DESTDIR)$(MANDIR)/man8/xinetd.log.8
++      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xinetd.man $(DESTDIR)$(MANDIR)/man8/xinetd.8
++      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/itox.8 $(DESTDIR)$(MANDIR)/man8/itox.8
++      $(INSTALL_CMD) -m 644 $(SRCDIR)/xinetd/xconv.pl.8 $(DESTDIR)$(MANDIR)/man8/xconv.pl.8
+       @echo "You must put your xinetd.conf in /etc/xinetd.conf"
+       @echo "There is a sample config file in xinetd/sample.conf and you can"
+       @echo "use xconv.pl to convert your old inetd.conf file to an xinetd format"
diff --git a/net/xinetd/patches/003-rpc_fix.patch b/net/xinetd/patches/003-rpc_fix.patch
new file mode 100644 (file)
index 0000000..11f47e7
--- /dev/null
@@ -0,0 +1,19 @@
+--- a/xinetd/confparse.c
++++ b/xinetd/confparse.c
+@@ -745,7 +745,7 @@ static status_e check_entry( struct serv
+          }
+    }
+-/* #ifndef NO_RPC */
++#ifndef NO_RPC
+ #if defined(HAVE_RPC_RPCENT_H) || defined(HAVE_NETDB_H)
+    if ( SC_IS_RPC( scp ) && !SC_IS_UNLISTED( scp ) )
+    {
+@@ -759,6 +759,7 @@ static status_e check_entry( struct serv
+       SC_RPCDATA( scp )->rd_program_number = rep->r_number ;
+    }
+    else
++#endif
+ #endif   /* ! NO_RPC */
+    {
+        if ( !SC_IS_UNLISTED( scp ) )